WordPress.org

Ready to get started?Download WordPress

Forums

Wordfence Security
[resolved] It says I'm trying to block myself (4 posts)

  1. RobinInTexas
    Member
    Posted 5 months ago #

    Plugin version 4.0.2
    Website ip 192.254.xxx.xxx

    You are trying to block yourself. Your IP address is 108.199.xxx.xxx which falls into the range 162.243.0.0-162.243.255.255. This blocking action has been cancelled so that you don't block yourself from your website.

    https://wordpress.org/plugins/wordfence/

  2. SpecialistUK
    Member
    Posted 5 months ago #

    I get exactly the same thing in 4.0.2

    An error occurred

    You are trying to block yourself. Your IP address is 82.xx.xx.xx which falls into the range 87.98.128.0-87.98.191.255. This blocking action has been cancelled so that you don't block yourself from your website.

    The site is hosted on a dedicated IP address in the 91.xx.xx.xx range so that is not relevant either.

  3. esmi
    Forum Moderator
    Posted 5 months ago #

    @SpecialistUK: It is considered impolite to interrupt another poster's ongoing thread unless you are posting a solution or suggestion. It causes significant problems for the forum's volunteers and prevents us from being able to track issues by topic. Please post your own topic.

  4. Wordfence
    Member
    Plugin Author

    Posted 5 months ago #

    Thanks for this report. Turns out we introduced a bug in 4.0.2 while trying to fix something.

    Some users have been adding IP addresses where an octet would be prefixed by a zero e.g. 1.2.03.4 and this broke things. So we started stripping out prefixed zeroes and this has caused a new problem.

    We've fixed this and may be putting out an emergency release later today which will include the fix.

    Regards,

    Mark
    PS: If you found this helpful, please rate Wordfence 5 stars.
    http://wordpress.org/plugins/wordfence/

Reply

You must log in to post.

About this Plugin

About this Topic